package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuUpdateRequest struct {
	/*
	   参数列表     */
	ParamList *[]domain.AlibabaWdkSkuUpdateSkuDo `json:"param_list" required:"true" `
}

func (s *AlibabaWdkSkuUpdateRequest) SetParamList(v []domain.AlibabaWdkSkuUpdateSkuDo) *AlibabaWdkSkuUpdateRequest {
	s.ParamList = &v
	return s
}

func (req *AlibabaWdkSkuUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamList != nil {
		paramMap["param_list"] = util.ConvertStructList(*req.ParamList)
	}
	return paramMap
}

func (req *AlibabaWdkSkuUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
